## Apache Zeta Components Manual :: Docs For Class ezcWebdavPutRequest

### Webdav::ezcWebdavPutRequest

### Class ezcWebdavPutRequest

Abstract representation of a PUT request.

An instance of this class represents the WebDAV PUT request.

Source for this file: /Webdav/src/requests/put.php

    ezcWebdavRequest
       |
       --ezcWebdavPutRequest

Version: | //autogentag//

### Inherited Constants

From ezcWebdavRequest:
`ezcWebdavRequest::DEPTH_INFINITY` |
`ezcWebdavRequest::DEPTH_ONE` |
`ezcWebdavRequest::DEPTH_ZERO` | Constants for the 'Depth' headers and property fields.

### Properties

string | read/write | `$body` The request body of a PUT request.

### Inherited Member Variables

From ezcWebdavRequest
protected | `ezcWebdavRequest::$headers`
protected | `ezcWebdavRequest::$properties`

### Method Summary

public void | `__construct( $requestUri , $body )` Creates a new PUT request object.
public void | `validateHeaders( )` Validates the headers set in this request.

### Inherited Methods

From ezcWebdavRequest
public void | `ezcWebdavRequest::__construct()` Creates a new request object.
public mixed | `ezcWebdavRequest::getHeader()` Returns the contents of a specific header.
public void | `ezcWebdavRequest::setHeader()` Sets a header to a specified value.
public void | `ezcWebdavRequest::setHeaders()` Sets a header to a specified value.
public void | `ezcWebdavRequest::validateHeaders()` Validates the headers set in this request.

### Methods

#### __construct

void __construct( string $requestUri , string $body )

Creates a new PUT request object.

The request object indicates, that the given $body should be stored in the resource identified by $requestUri.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$requestUri` | string |
`$body` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavRequest::__construct()` | Creates a new request object.

#### validateHeaders

void validateHeaders( )

Validates the headers set in this request.

This method validates that all required headers are available and that all feasible headers for this request have valid values.

##### Exceptions:

Type | Description
--- | ---
`ezcWebdavInvalidHeaderException` | if a header is present, but its content does not validate.
`ezcWebdavMissingHeaderException` | if a required header is missing.

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavRequest::validateHeaders()` | Validates the headers set in this request.

Documentation generated by phpDocumentor 1.4.3